# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_GenRel Class Reference

Implements an interpreter for equations or system
of equations made of expressions of package Expr.
.

`#include <ExprIntrp_GenRel.hxx>`

Inheritance diagram for ExprIntrp_GenRel:

[legend]

## Public Member Functions

Standard_EXPORT void | Process (const TCollection_AsciiString &str)
| Processes given string. .
Standard_EXPORT Standard_Boolean | IsDone () const
| Returns false if any syntax error has occurred during process. .
Standard_EXPORT Handle_Expr_GeneralRelation | Relation () const
| Returns relation generated. Raises an exception if IsDone answers false. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_ExprIntrp_GenRel | Create ()

## Private Member Functions

Standard_EXPORT | ExprIntrp_GenRel ()
| Creates an empty generator .

## Private Attributes

Standard_Boolean | done
Handle_Expr_GeneralRelation | myRelation

## Constructor & Destructor Documentation

Standard_EXPORT ExprIntrp_GenRel::ExprIntrp_GenRel | ( |  | ) | `[private]`

## Member Function Documentation

static Standard_EXPORT Handle_ExprIntrp_GenRel ExprIntrp_GenRel::Create | ( |  | ) | `[static]`

Standard_EXPORT const ExprIntrp_GenRel::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from ExprIntrp_Generator.

Standard_EXPORT Standard_Boolean ExprIntrp_GenRel::IsDone | ( |  | ) | const

Standard_EXPORT void ExprIntrp_GenRel::Process | ( | const TCollection_AsciiString & | str | ) |

Standard_EXPORT Handle_Expr_GeneralRelation ExprIntrp_GenRel::Relation | ( |  | ) | const

## Field Documentation

Standard_Boolean ExprIntrp_GenRel::done `[private]`

Handle_Expr_GeneralRelation ExprIntrp_GenRel::myRelation `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_GenRel.hxx